<template>
  <router-view />
</template>

<script setup>
import useSettingsStore from '@/store/modules/settings'
import { handleThemeStyle } from '@/utils/theme'

onMounted(() => {
  nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme)
  })
})
</script>

<style lang="scss">
  *{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
  }
  h2{
    margin: 0;
  }
  body{
    color: #f3ffff;
    font-size: 14px;
  }
</style>
